Subject: Re: [net-next 1/6] net: marvell: prestera: Add driver for Prestera family ASIC devices

From: Vadym Kochan <[email-masked]>
Date: Sat, 30 May 2020 03:46:22 +0300

Hi David,

On Fri, May 29, 2020 at 05:18:39PM -0700, David Miller wrote:
> 
> Please remove all of the __packed attributes.
> 
> I looked at your data structures and all of them use fixed sized types
> and are multiples of 4 so the __packed attribute is completely
> unnecessary.
> 
> The alignment attribute is also unnecessary so please remove that too.

Some of the fields are u8, so I assume there might be holes added by
the compiler ? Also these attributes guarantee some ABI compatibility
with FW side, I will try to remove them and check but it sounds for me a bit
risky.